<?php
/**
 * BetterDocs Theme Customizer outout for layout settings
 *
 * @package BetterDocs
 */


function betterdocs_customize_css_pro() {
	$defaults = betterdocs_generate_defaults_pro();
	$search_padding_bottom = get_theme_mod('betterdocs_live_search_padding_bottom');
	$layout_select = get_theme_mod('betterdocs_docs_layout_select', 'layout-1');
	$content_space_image = get_theme_mod('betterdocs_doc_page_column_content_space_image');
    ?>
	<style type="text/css">
		.docs-cat-list-2-items .docs-cat-title {
			font-size: <?php echo $defaults['betterdocs_doc_page_cat_title_font_size2'] ?>px;
		}
		.betterdocs-category-box.pro-layout-3 .docs-single-cat-wrap img,
		.docs-cat-list-2-box img {
			<?php if(!empty($defaults['betterdocs_doc_page_cat_icon_size_l_3_4'])) { ?>
			height: <?php echo $defaults['betterdocs_doc_page_cat_icon_size_l_3_4'] ?>px;
			<?php } ?>
			width: auto;
			margin-bottom: 0px !important;
		}
		<?php if($layout_select === 'layout-4') { ?>
		.betterdocs-wraper .betterdocs-search-form-wrap.cat-layout-4 {
			padding-bottom: <?php echo $search_padding_bottom + 80 ?>px;
		}
		.betterdocs-archive-wrap.cat-layout-4 {
			margin-top: -<?php echo $defaults['betterdocs_doc_page_content_overlap'] ?>px;
		}
		.betterdocs-archive-wrap .betterdocs-categories-wrap .docs-cat-list-2-items .docs-item-container li {
			margin-left: 0;
			margin-right: 0;
		}
		.docs-cat-list-2-items .docs-cat-link-btn {
			margin-left: 0;
			margin-right: 0;
		}
		.betterdocs-single-bg .betterdocs-content-full {
			<?php if(!empty(get_theme_mod('betterdocs_doc_single_content_area_bg_color'))) { ?>
			background-color: <?php echo get_theme_mod('betterdocs_doc_single_content_area_bg_color') ?>;
			<?php } else {?>
			background-color: <?php echo $defaults['betterdocs_doc_single_content_area_bg_color'] ?>;		
			<?php } ?>
		}
		.betterdocs-single-wraper .betterdocs-content-full {
			padding-right: <?php echo $defaults['betterdocs_doc_single_content_area_padding_right'] ?>px;
			padding-left: <?php echo $defaults['betterdocs_doc_single_content_area_padding_left'] ?>px;
		}
		<?php } ?>
	</style>
    <?php
}
add_action( 'wp_head', 'betterdocs_customize_css_pro');